## $1 == destination directory
## $2 == deployment manager profile root
## $3 == port
## $4 == username
## $5 == password
## $6 == cellname

## 0 delete old files
rm -Rf $1/temp
mkdir $1/temp

## 1 export the wps.ear
$2/bin/wsadmin.sh -port $3 -user $4 -password $5 -f $1/jacl/export_wps.jacl $1

## 2 expand the wps.ear
$2/bin/EARExpander.sh -ear $1/temp/wps_original.ear -operationDir $1/temp/wps_expanded.ear -operation expand

## 3 remove the AI theme and skin to expanded wps.ear
rm -Rf $1/temp/wps_expanded.ear/wps.war/themes/wbpmpics
rm -Rf $1/temp/wps_expanded.ear/wps.war/themes/html/AdminLeftNavigation
rm -Rf $1/temp/wps_expanded.ear/wps.war/themes/html/IBM
rm -Rf $1/temp/wps_expanded.ear/wps.war/skins/html/wbpmNoSkin
rm -Rf $1/temp/wps_expanded.ear/wps.war/skins/html/wbpmNoSkinNoDnD
rm -Rf $1/temp/wps_expanded.ear/wps.war/skins/html/wbpmNoSkinNoDnDPF
rm -Rf $1/temp/wps_expanded.ear/wps.war/skins/html/wbseAlertsSkin
rm -Rf $1/temp/wps_expanded.ear/wps.war/skins/html/wbseNavigatorSkin
rm -Rf $1/temp/wps_expanded.ear/wps.war/skins/html/wbsePeopleFinderSkin
rm -Rf $1/temp/wps_expanded.ear/wps.war/skins/html/wbseScorecardSkin

## 4 collapse the updated wps.ear
$2/bin/EARExpander.sh -ear $1/temp/wps_updated.ear -operationDir $1/temp/wps_expanded.ear -operation collapse

## 5 update the wps.ear with the new one
$2/bin/wsadmin.sh -port $3 -user $4 -password $5 -f $1/jacl/update_wps.jacl $1

## 6 update the web.xml for liveobject.war
$2/../../java/bin/java -cp classes com.ibm.liveobject.WebXmlUpdator add $2/config/cells/$6/applications/Live_Object_Framework.ear/deployments/Live_Object_Framework/liveobjects.war/WEB-INF/web.xml

