@echo off
rem %1 == destination directory
rem %2 == deployment manager profile root
rem %3 == port
rem %4 == username
rem %5 == password
rem %6 == cellname

rem 0 delete old files
rmdir /S /Q "%1/temp"
mkdir "%1/temp"

rem 1 export the wps.ear
call %2/bin/wsadmin.bat -port %3 -user %4 -password %5 -f %1/jacl/export_wps.jacl %1

rem 2 expand the wps.ear
call %2/bin/EARExpander.bat -ear %1/temp/wps_original.ear -operationDir %1/temp/wps_expanded.ear -operation expand

rem 3 remove the AI theme and skin to expanded wps.ear
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/themes/wbpmpics"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/themes/html/AdminLeftNavigation"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/themes/html/IBM"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/skins/html/wbpmNoSkin"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/skins/html/wbpmNoSkinNoDnD"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/skins/html/wbpmNoSkinNoDnDPF"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/skins/html/wbseAlertsSkin"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/skins/html/wbseNavigatorSkin"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/skins/html/wbsePeopleFinderSkin"
rmdir /S /Q "%1/temp/wps_expanded.ear/wps.war/skins/html/wbseScorecardSkin"

rem 4 collapse the updated wps.ear
call %2/bin/EARExpander.bat -ear %1/temp/wps_updated.ear -operationDir %1/temp/wps_expanded.ear -operation collapse

rem 5 update the wps.ear with the new one
call %2/bin/wsadmin.bat -port %3 -user %4 -password %5 -f %1/jacl/update_wps.jacl %1

rem 6 update the web.xml for liveobject.war
call %2/../../java/bin/java -cp classes com.ibm.liveobject.WebXmlUpdator remove %2/config/cells/%6/applications/Live_Object_Framework.ear/deployments/Live_Object_Framework/liveobjects.war/WEB-INF/web.xml
