<%-- Licensed Materials - Property of IBM, 5724-S28, (C) Copyright IBM Corp. 2001 - 2007 - All Rights reserved.--%>
<%@ page session="false" buffer="none" %>
<%@ page import="com.ibm.portal.content.*" %>
<%@ taglib uri="/WEB-INF/tld/dnd.tld" prefix="dnd" %>
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-skin" prefix="portal-skin" %>
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-logic" prefix="portal-logic" %>
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-navigation" prefix="portal-navigation" %>
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-core" prefix="portal-core" %>
<%@ taglib uri="http://www.ibm.com/xmlns/prod/websphere/portal/v6.0/portal-fmt" prefix="portal-fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %><%@ include file="./BidiInclude.jspf" %>
<%--// only render menus if supporting javascript is available in the theme --%>
<portal-logic:urlFindInTheme file="js/AsynchronousContextMenu.js" id="asynchJSURL" />
<% boolean isJSAvail=(asynchJSURL == null ? false: true);%>
<% if(asynchJSURL != null){%><dnd:DNDPortletHelper/>
<portal-skin:portletID var="myPortletID"/>
<jsp:useBean id="myPortletID" class="java.lang.String" scope="page"/>
<%!
private static com.ibm.portal.identification.Identification identification;
public void jspInit(){
try{
/* only perform this JNDI lookup once as this is an expensive call performance wise */
javax.naming.Context ctx=new javax.naming.InitialContext();
identification=(com.ibm.portal.identification.Identification) ctx.lookup("portal:service/Identification");
}
catch (javax.naming.NamingException ne){
}
}
%>
<style>
.wpsPortletBodyPF {
    background-image: none;
    background-color: transparent;
}
.wpsPortletBodyPFOutter {
    background-image: url('<portal-logic:urlFindInSkin file="WBSE-PF-Background.gif" />');
    background-repeat: repeat-x;
    background-color: #DEE0E2;
}
label {
color: #3D3D3D;
font-size: xx-small;
font-family: Verdana, sans-serif;
font-weight: bold;
}
.wpsTableRow,td.wpsTableRow, .wpsTable,.wpsTableHead, .wpsTableHeadMiddle  {
    border-width: 1px 0px 1px 0px;
    border-style: solid;
    border-color: #919191;
    background-color: transparent;
    padding: 3px;   
}
</style>



<%-- Modification for Drag and Drop we need to pass the portlet control ID. we can't use the tag because its an attribute --%><%
String currentLayoutNodeStr="";
if (pageContext.getAttribute("currentLayoutNode", pageContext.REQUEST_SCOPE) != null) {
LayoutNode currLayoutNode=(LayoutNode)pageContext.getAttribute("currentLayoutNode", pageContext.REQUEST_SCOPE);
currentLayoutNodeStr=identification.serialize(currLayoutNode.getObjectID());
}
else {
LayoutNode currLayoutNode=(LayoutNode)pageContext.getRequest().getAttribute("com.ibm.wps.composition.element");
currentLayoutNodeStr=identification.serialize(currLayoutNode.getObjectID());
}
%>

<script type="text/javascript">var menuNoActionsText_<%= myPortletID %>="<portal-fmt:text bundle='nls.engine' key='info.emptymenu' />"; 
var menuPortletURL_<%= myPortletID %>='<portal-navigation:url theme="portletContextMenu" ><portal-navigation:urlParam name="windowID" value="<%=currentLayoutNodeStr%>" /></portal-navigation:url>';
</script><portal-core:constants/>
<c:if test="${themePolicy.renderPortletFragmentIDAnchor}" >
<a name="<%= myPortletID %>"></a>
</c:if>
<table width="100%" <portal-logic:if portletState="Normal,Maximized,Solo">height="100%"</portal-logic:if> border="0px" cellpadding="0" cellspacing="0" align="center" class='<portal-logic:if portletMode="Help">wpsPortletBody</portal-logic:if><portal-logic:if portletState="Maximized,Solo" portletMode="View,Edit">wpsPortletBody</portal-logic:if><portal-logic:if portletState="Normal" portletMode="View,Edit">wpsPortletBodyPFOutter</portal-logic:if>' id="wbsePeopleFinderOuterTableId">

<TR>
<TD width="100%" style="background-color:#D4D4D4; background-image:none;"></TD>
<TD width="1" rowspan="3" style="background-color:#A0A0A0; background-image:none;"><img alt="" border="0px" width="1px" height="1px" src='<%=wpsBaseURL%>/images/dot.gif' /></TD>
</TR>
<tr>
<td>
<div id="mouseoverTable_<%= myPortletID %>" 
<portal-logic:unless portletMode='help'>onmouseover="menuMouseOver('<%= myPortletID %>','<portal-logic:urlFindInTheme file='images/topNav/menu_selected.gif' />')" onmouseout="menuMouseOut('<%= myPortletID %>', '<portal-logic:urlFindInTheme file='images/topNav/menu_selected_disabled.gif' />')"</portal-logic:unless> >
<table class="wpsPortletBodyPFOutter" style="width: 100%;" cellpadding="0" cellspacing="0">
<tr>
<td>
<div class="wpsPortletIcons" style="right: 0; position: relative; ">
              <%-- Do not include 'Skip to next portlet' link in standalone window or solo mode --%>
              <%if(isJSAvail){%>
              <portal-logic:unless portletMode="help">
              <portal-logic:if portletSolo="no" newWindow="false">
              <a style="text-decoration:none" href="#skipportlet<%= myPortletID %>" onfocus="menuMouseOver('<%= myPortletID %>', '<portal-logic:urlFindInTheme file='images/topNav/menu_selected.gif' />');" >
              <img style="border: 0px; background-color: transparent; position: absolute; top: 0px; right: 12px;" align="absmiddle" src='<%=wpsBaseURL%>/images/icons/ClearPixel.gif' alt="<portal-skin:portletTitle><portal-fmt:problem bundle='nls.problem'/></portal-skin:portletTitle> <portal-fmt:text key='link.skiptonextportlet' bundle='nls.engine'/>" title="<portal-skin:portletTitle><portal-fmt:problem bundle='nls.problem'/></portal-skin:portletTitle> <portal-fmt:text key='link.skiptonextportlet' bundle='nls.engine'/>" />
              </a>
              </portal-logic:if>
                <a id='menu_<%= myPortletID %>' href='javascript:void(0);' onkeypress="javascript:accessibleShowMenu(event, '<%= myPortletID %>', menuNoActionsText_<%= myPortletID %>, <%=isRTL%>, menuPortletURL_<%= myPortletID %>,'<portal-logic:urlFindInTheme file="images/context_loading.gif" />');" onclick="javascript:showPortletMenu('<%= myPortletID %>' , menuNoActionsText_<%= myPortletID %>, <%=isRTL%>, menuPortletURL_<%= myPortletID %> , '<portal-logic:urlFindInTheme file='images/topNav/menu_selected_disabled.gif' />','<portal-logic:urlFindInTheme file="images/context_loading.gif" />'); return false;" alt="<portal-fmt:text bundle='nls.titlebar' key='portlet.actions' />" title="<portal-fmt:text bundle='nls.titlebar' key='portlet.actions' />" >
                    <img style="border: 0px; background-color: transparent; position: absolute; top: 0px; right: 2px;" id="menu_<%= myPortletID %>_img" src='<portal-logic:urlFindInTheme file="images/topNav/menu_selected_disabled.gif" />' alt="<portal-fmt:text bundle='nls.titlebar' key='portlet.actions' />" title="<portal-fmt:text bundle='nls.titlebar' key='portlet.actions' />" />
                </a>
    <script type="text/javascript">javascriptEventController.register("menu_<%= myPortletID %>");
        javascriptEventController.register("mouseoverTable_<%= myPortletID %>", null);
    </script>
    
</portal-logic:unless>
<%}%>

</div>
</td>
</tr>
</table>
<portal-logic:if portletState="Normal,Maximized,Solo">
<portal-logic:if portletMode="View" portletState="Normal">
<div style="border:none;overflow:auto;width:250px;" id="wbsePeopleFinderOuterDivId">
</portal-logic:if>
<portal-skin:portletRender>
<font color="red"><portal-fmt:problem bundle="nls.problem"/></font>
</portal-skin:portletRender>
<portal-logic:if portletMode="View" portletState="Normal">
</div>
</portal-logic:if>
</portal-logic:if>
</div>
</td>
</tr>
</table>
<a name="skipportlet<%= myPortletID %>"></a>
<%}else{%>
<%@ taglib uri="/WEB-INF/tld/portal.tld" prefix="wps" %>
<a name="<wps:portletID/>"></a>
<table width="100%" border="0px" cellpadding="0" cellspacing="0" >
<tr height="100%">
<td width="100%" valign="top">
<wps:portletRender>
<font color="red"><wps:problem bundle="nls.problem"/>
</font>
</wps:portletRender>
</td>
</tr>
</table>
<%}%>
<portal-logic:if portletState="Minimized"> 
<table border="0" style="width:4px;height:4px;" cellspacing="0" cellpadding="0" ><tr><td></td></tr>

</table>
</portal-logic:if>

